# $Id: syck.spec,v 1.15 2005/08/26 08:05:33 oliver Exp $

%define			php_extdir %(php-config --extension-dir || echo %{_libdir}/php)
%{!?php_version:%define php_version %(php-config --version || echo bad)}

Name:			syck
Summary:		YAML for C, Python, and PHP

Version:		0.55
Release:		10%{?dist}

License:		BSD
Group:			System Environment/Libraries
URL:			http://whytheluckystiff.net/syck/

Source0:		http://rubyforge.org/frs/download.php/4492/%{name}-%{version}.tar.gz

Patch0:			syck-0.55-libtool.patch

BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gawk bison flex libtool
BuildRequires:	php-devel
BuildRequires:	python-devel

%description
Syck is an extension for reading and writing YAML swiftly in popular scripting
languages. As Syck loads the YAML, it stores the data directly in your
language's symbol table. This means speed. This means power. This means Do not
disturb Syck because it is so focused on the task at hand that it will slay you
mortally if you get in its way. 

From http://yaml.org:
YAML(tm) (rhymes with "camel") is a straightforward machine parsable data
serialization format designed for human readability and interaction with
scripting languages such as Perl and Python. YAML is optimized for data
serialization, configuration settings, log files, Internet messaging and
filtering. 

%package		php
Summary:		YAML module for php
Group:			Development/Languages
Requires:		php = %{php_version}

%description	php
Syck is an extension for reading and writing YAML swiftly in popular scripting
languages. As Syck loads the YAML, it stores the data directly in your
language's symbol table. This means speed. This means power. This means Do not
disturb Syck because it is so focused on the task at hand that it will slay you
mortally if you get in its way. 

From http://yaml.org:
YAML(tm) (rhymes with "camel") is a straightforward machine parsable data
serialization format designed for human readability and interaction with
scripting languages such as Perl and Python. YAML is optimized for data
serialization, configuration settings, log files, Internet messaging and
filtering. 

The %{name}-php package contains the syck php extension.

%package		python
Summary:		YAML module for python
Group:			Development/Languages
#Requires:		python
#Requires:		python-abi = %(%{__python} -c "import sys; print sys.version[:3]")

%description	python
Syck is an extension for reading and writing YAML swiftly in popular scripting
languages. As Syck loads the YAML, it stores the data directly in your
language's symbol table. This means speed. This means power. This means Do not
disturb Syck because it is so focused on the task at hand that it will slay you
mortally if you get in its way. 

From http://yaml.org:
YAML(tm) (rhymes with "camel") is a straightforward machine parsable data
serialization format designed for human readability and interaction with
scripting languages such as Perl and Python. YAML is optimized for data
serialization, configuration settings, log files, Internet messaging and
filtering. 

The %{name}-python package contains the syck php extension.

%package devel
Summary:	Static libraries and headers for developing with Syck
Group:		Development/Libraries
Requires:	syck = %{version}-%{release}
%description devel
Syck is an extension for reading and writing YAML swiftly in popular scripting
languages. As Syck loads the YAML, it stores the data directly in your
language's symbol table. This means speed. This means power. This means Do not
disturb Syck because it is so focused on the task at hand that it will slay you
mortally if you get in its way. 

From http://yaml.org:
YAML(tm) (rhymes with "camel") is a straightforward machine parsable data
serialization format designed for human readability and interaction with
scripting languages such as Perl and Python. YAML is optimized for data
serialization, configuration settings, log files, Internet messaging and
filtering. 

This package contains the header files and static archive for developing with
Syck.

%prep
%setup -q
%patch0 -p1

%build
libtoolize --force --copy && aclocal && autoconf
%configure
%{__make} %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

rm lib/*.la lib/.libs/*.la lib/.libs/*.lai
# Go into extensions directory
pushd ext

# PHP extension
pushd php
phpize
export php_cv_cc_rpath=no
CFLAGS="$RPM_OPT_FLAGS -I../../lib -L../../lib/.libs" %configure --with-syck=.
%{__make} %{?_smp_mflags}
popd # End php extension

# Python extension
pushd python
CFLAGS="$RPM_OPT_FLAGS" python setup.py build
popd # End python extension

# Don't build the ruby extension, as syck is included since ruby 1.8.0.
# See the rubygarden: http://www.rubygarden.org/ruby?YamlInRuby

# Get out of extension
popd

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# Go into extensions directory
pushd ext

# PHP extension
pushd php
%{__make} install INSTALL_ROOT=$RPM_BUILD_ROOT
popd # End php extension

# Python extension
pushd python
python setup.py install --optimize=2 --root=$RPM_BUILD_ROOT
popd # End python extension

# Get out of extension
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc COPYING README TODO RELEASE CHANGELOG
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,0755)
%doc README.EXT README.BYTECODE README.EXT
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/*.h

%files python
%defattr(-,root,root,0755)
%{_libdir}/python?.?/site-packages/*so
%{_libdir}/python?.?/site-packages/*.py
%{_libdir}/python?.?/site-packages/*.pyc
%ghost %{_libdir}/python?.?/site-packages/*.pyo

%files php
%defattr(-,root,root,0755)
%{php_extdir}/*.so

%changelog
* Fri Sep 01 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.55-10
- Rebuild.

* Sat Aug 26 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.55-9
- Add BR: libtool to work with the minimal buildroot.

* Sat Aug 26 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.55-8
- Rebuild.

* Wed Feb 22 2006 Oliver Falk <oliver@linux-kernel.at>		- 0.55-7
- Bug #175619

* Fri Sep 16 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.55-6
- Compile against PHP 5.0.5

* Thu Aug 25 2005 Toshio Kuratomi <toshio@tiki-lounge.com> - 0.55-5
- Stop using a dynamically generated php-version in the BR.
- Create a devel package
- Correct libtool patch and implementation
- Implement some ugly workarounds to get the php module to build correctly
- Change Groups to be more like Core packages
- Enhance Summaries and description
- %%ghost the *.pyos.

* Thu Aug 25 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.55-4
- Bugs from #165686
- Add dist-tag

* Wed Aug 24 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.55-3
- Fix filelist
- Fix php module path - dynamic

* Wed Aug 24 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.55-2
- Bug #165686

* Thu May 19 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.55-1
- Update
- Remove patch, as it works without now

* Fri Apr 08 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.54-2
- Patch gram.y (taken from CVS) to fix compilation on Fedora Core 3
  (Should fix compilation...)

* Tue Apr 05 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.53-1.1
- Force rebuild on buildsys

* Sun Apr 03 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.53-1
- Update

* Fri Mar 25 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.51-1.2
- Force rebuild at automated build system...

* Fri Mar 25 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.51-1.1
- Rebuild
- Specfile cleanup

* Tue Mar 15 2005 Oliver Falk <oliver@linux-kernel.at>		- 0.51-1
- Update
- Delete python and php comments
- Move syck package to my cvs server

* Wed Sep 22 2004 Oliver Falk <oliver@linux-kernel.at>		- 0.45-1
- Initial build
